<?php
class cDocumento{
	function insertar($abr,$nom, $mod_id,$def){
		$sql = "INSERT tb_documento (
		`tb_documento_abr`,
		`tb_documento_nom`,
		`tb_modulo_id`,
		`tb_documento_def`
		)
		VALUES (
		'$abr', '$nom', '$mod_id', '$def');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function filtrar($mod_id){
		$sql = "SELECT d.*
		FROM tb_documento d	WHERE tb_documento_xac='1' and tb_documento_abr != 'L'
		";
		if($mod_id>=0) $sql .= " AND tb_modulo_id='$mod_id'";
		$sql.=" ORDER BY tb_documento_nom desc ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function retorna_id_por_modulo($id_mod){
		$sql="SELECT * FROM tb_documento WHERE tb_modulo_id=$id_mod";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		$sql="SELECT * 
		FROM tb_documento
		WHERE tb_documento_id='$id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function obtenerDocumento_compra($id){
		$sql="SELECT d.tb_documento_nom, c.tb_compra_numdoc,pro.tb_proveedor_nom  FROM tb_compra c
		inner join tb_documento d on d.tb_documento_id = c.tb_documento_id  
		inner join tb_proveedor pro on pro.tb_proveedor_id = c.tb_proveedor_id
		where c.tb_compra_xac = '1' and c.tb_compra_id ='$id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function obtenerDocumento_notacredito($id){
		$sql="SELECT d.tb_documento_nom, nc.tb_notacredito_numdoc  FROM tb_notacredito nc
		inner join tb_documento d on d.tb_documento_id = nc.tb_documento_id  where nc.tb_notacredito_xac = '1' and nc.tb_notacredito_id ='$id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function obtenerDocumento_notaalmacen($id){
		$sql="SELECT na.tb_notaalmacen_numdoc  FROM tb_notaalmacen na
		 where na.tb_notaalmacen_xac = '1' and na.tb_notaalmacen_id ='$id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function obtenerDocumento_traspaso($id){
		$sql="SELECT tr.tb_traspaso_numdoc  FROM tb_traspaso tr
		where tr.tb_traspaso_id = '$id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}	
	
	function obtenerDocumento_venta($id){
		$sql="SELECT d.tb_documento_nom,v.tb_venta_numdoc,v.tb_cliente_nom  FROM tb_venta v
		inner join tb_documento d on d.tb_documento_id = v.tb_documento_id 
		where tb_venta_id = '$id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}	
	
	function obtenerDocumento_devolucioncliente($id){
		$sql="SELECT dc.tb_devolucioncliente_numdoc  FROM tb_devolucioncliente dc
		where dc.tb_devolucioncliente_id = '$id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}	
	function modificar($id,$abr,$nom,$mod_id,$def){
		$sql = "UPDATE tb_documento SET  
		`tb_documento_abr` =  '$abr',
		`tb_documento_nom` =  '$nom',
		`tb_modulo_id` =  '$mod_id',
		`tb_documento_def` =  '$def'
		WHERE  tb_documento_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function eliminar($id){
		$sql = "UPDATE tb_documento SET  
		`tb_documento_xac` =  0
		WHERE  tb_documento_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
}
?>